Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print
Class PrintException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.print.PrintException

All Implemented Interfaces:
  Serializable

    public class PrintException

extends Exception

Class PrintException encapsulates a printing-related error condition that occurred while using a Print Service instance. This base class furnishes only a string description of the error. Subclasses furnish more detailed information if applicable.

See Also:
  Serialized Form

Constructor Summary
`PrintException()` Construct a print exception with no detail message.
`PrintException(Exception e)` Construct a print exception chaining the supplied exception.
`PrintException(String s)` Construct a print exception with the given detail message.
`PrintException(String s, Exception e)` Construct a print exception with the given detail message and chained exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrintException

    public PrintException()

  Construct a print exception with no detail message.

### PrintException

    public PrintException(String s)

  Construct a print exception with the given detail message.

  Parameters:
    `s` - Detail message, or null if no detail message.

### PrintException

    public PrintException(Exception e)

  Construct a print exception chaining the supplied exception.

  Parameters:
    `e` - Chained exception.

### PrintException

    public PrintException(String s,
                          Exception e)

  Construct a print exception with the given detail message and chained exception.

  Parameters:
    `s` - Detail message, or null if no detail message.
    `e` - Chained exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.